import request from '@/utils/request'

// 查询前端菜单列表
export function listMenu(query) {
  return request({
    url: '/system/appMenu/list',
    method: 'get',
    params: query
  })
}

// 查询前端菜单详细
export function getMenu(menuId) {
  return request({
    url: '/system/appMenu/' + menuId,
    method: 'get'
  })
}

// 新增前端菜单
export function addMenu(data) {
  return request({
    url: '/system/appMenu',
    method: 'post',
    data: data
  })
}

// 修改前端菜单
export function updateMenu(data) {
  return request({
    url: '/system/appMenu',
    method: 'put',
    data: data
  })
}

// 删除前端菜单
export function delMenu(menuId) {
  return request({
    url: '/system/appMenu/' + menuId,
    method: 'delete'
  })
}
